{% extends "base.html" %}
{% block content %}
    <div class="d-flex flex-wrap mx-auto">
    {% for kegiatan in kegiatan_items %}
        <div class="card text-white mb-3 mx-3" style="max-width:20rem; background-color:#001427;">
        <h5 class="card-header">{{kegiatan.nama_kegiatan}}</h5>
        <div class="card-body d-flex flex-column justify-content-between">
          <h5 class="card-title">Peserta:</h5>
          <form action="{% url 'story6:delete_peserta' %}" method="POST">
            {% csrf_token %}
            <input type="hidden" value={{kegiatan.id}} name="kegiatan_id">
            {% for peserta in kegiatan.peserta.all %}
            <div class="d-flex flex-row justify-content-between my-1 rounded bg-light">
            <h4 class="card-text text-light my-auto">-<a href="{{peserta.get_absolute_url}}">{{peserta.nama_peserta}}</a></h4>
            <button class="btn btn-danger my-2 mr-1" value="{{peserta.nama_peserta}}" name="nama" type="submit">X</button>
            </div>
            {% endfor %}
          </form>
          <form class="d-flex flex-row"action="{% url 'story6:add_peserta' id=kegiatan.id %}" method="POST">
            {% csrf_token %}
            {{peserta_form}}
            <input class="btn btn-primary ml-1" type="submit" value="Add Peserta"> 
          </form>
        </div>
      </div>
    {% endfor %}
    </div>
{% endblock %}